define(['dart_sdk'], function(dart_sdk) {
  'use strict';
  const core = dart_sdk.core;
  const html = dart_sdk.html;
  const _js_helper = dart_sdk._js_helper;
  const _interceptors = dart_sdk._interceptors;
  const dart = dart_sdk.dart;
  const dartx = dart_sdk.dartx;
  const stats = Object.create(dart.library);
  const gui_component = Object.create(dart.library);
  const boxplot = Object.create(dart.library);
  const box_plot = Object.create(dart.library);
  const $_get = dartx._get;
  const $forEach = dartx.forEach;
  const $compareTo = dartx.compareTo;
  const $sort = dartx.sort;
  const $length = dartx.length;
  const $modulo = dartx['%'];
  const $ceil = dartx.ceil;
  const $toInt = dartx.toInt;
  const $where = dartx.where;
  const $toList = dartx.toList;
  const $border = dartx.border;
  const $getContext = dartx.getContext;
  const $onMouseEnter = dartx.onMouseEnter;
  const $onMouseOut = dartx.onMouseOut;
  const $onMouseMove = dartx.onMouseMove;
  const $_set = dartx._set;
  const $toString = dartx.toString;
  const $fillText = dartx.fillText;
  const $toDouble = dartx.toDouble;
  const $client = dartx.client;
  const $left = dartx.left;
  const $top = dartx.top;
  const $console = dartx.console;
  const $arc = dartx.arc;
  let doubleToNull = () => (doubleToNull = dart.constFn(dart.fnType(core.Null, [core.double])))();
  let ListOfdouble = () => (ListOfdouble = dart.constFn(core.List$(core.double)))();
  let doubleAnddoubleToint = () => (doubleAnddoubleToint = dart.constFn(dart.fnType(core.int, [core.double, core.double])))();
  let doubleTobool = () => (doubleTobool = dart.constFn(dart.fnType(core.bool, [core.double])))();
  let EventToNull = () => (EventToNull = dart.constFn(dart.fnType(core.Null, [html.Event])))();
  let MouseEventToNull = () => (MouseEventToNull = dart.constFn(dart.fnType(core.Null, [html.MouseEvent])))();
  let LinkedMapOfString$double = () => (LinkedMapOfString$double = dart.constFn(_js_helper.LinkedMap$(core.String, core.double)))();
  let JSArrayOfdouble = () => (JSArrayOfdouble = dart.constFn(_interceptors.JSArray$(core.double)))();
  const CT = Object.create(null);
  stats.Stats = class Stats extends core.Object {
    static arrange(min, max, value) {
      return 100 * ((dart.notNull(value) - dart.notNull(min)) / (dart.notNull(max) - dart.notNull(min)));
    }
    static rearrange(min, max, value) {
      return (dart.notNull(max) - dart.notNull(min)) * dart.notNull(value) / 100.0 + dart.notNull(min);
    }
    static min(arr) {
      let min = arr[$_get](0);
      arr[$forEach](dart.fn(element => {
        if (dart.notNull(element) < dart.notNull(min)) {
          min = element;
        }
      }, doubleToNull()));
      return min;
    }
    static max(arr) {
      let max = arr[$_get](0);
      arr[$forEach](dart.fn(element => {
        if (dart.notNull(element) > dart.notNull(max)) {
          max = element;
        }
      }, doubleToNull()));
      return max;
    }
    static median(arr) {
      let temp = ListOfdouble().from(arr);
      temp[$sort](dart.fn((a, b) => a[$compareTo](b), doubleAnddoubleToint()));
      let length = temp[$length];
      if (length[$modulo](2) === 1) {
        return temp[$_get]((dart.notNull(length) / 2)[$ceil]() - 1);
      } else {
        return (dart.notNull(temp[$_get]((dart.notNull(length) / 2)[$toInt]() - 1)) + dart.notNull(temp[$_get]((dart.notNull(length) / 2 + 1)[$toInt]() - 1))) * 0.5;
      }
    }
    static q1(arr) {
      let mymedian = stats.Stats.median(arr);
      let temp = arr[$where](dart.fn(element => dart.notNull(element) < dart.notNull(mymedian), doubleTobool()))[$toList]();
      return stats.Stats.median(temp);
    }
    static q3(arr) {
      let mymedian = stats.Stats.median(arr);
      let temp = arr[$where](dart.fn(element => dart.notNull(element) > dart.notNull(mymedian), doubleTobool()))[$toList]();
      return stats.Stats.median(temp);
    }
  };
  (stats.Stats.new = function() {
    ;
  }).prototype = stats.Stats.prototype;
  dart.addTypeTests(stats.Stats);
  dart.setLibraryUri(stats.Stats, "package:boxplot/src/stats.dart");
  gui_component.GuiComponent = class GuiComponent extends core.Object {};
  (gui_component.GuiComponent.new = function() {
    ;
  }).prototype = gui_component.GuiComponent.prototype;
  dart.addTypeTests(gui_component.GuiComponent);
  dart.setLibraryUri(gui_component.GuiComponent, "package:boxplot/src/gui_component.dart");
  const showPoint = dart.privateName(box_plot, "BoxPlot.showPoint");
  const width = dart.privateName(box_plot, "BoxPlot.width");
  const height = dart.privateName(box_plot, "BoxPlot.height");
  const canvas = dart.privateName(box_plot, "BoxPlot.canvas");
  const g2 = dart.privateName(box_plot, "BoxPlot.g2");
  const min = dart.privateName(box_plot, "BoxPlot.min");
  const max = dart.privateName(box_plot, "BoxPlot.max");
  const q1 = dart.privateName(box_plot, "BoxPlot.q1");
  const q2 = dart.privateName(box_plot, "BoxPlot.q2");
  const q3 = dart.privateName(box_plot, "BoxPlot.q3");
  const value$ = dart.privateName(box_plot, "BoxPlot.value");
  const minx = dart.privateName(box_plot, "BoxPlot.minx");
  const miny = dart.privateName(box_plot, "BoxPlot.miny");
  const maxx = dart.privateName(box_plot, "BoxPlot.maxx");
  const maxy = dart.privateName(box_plot, "BoxPlot.maxy");
  const boxPlotcolor = dart.privateName(box_plot, "BoxPlot.boxPlotcolor");
  const ballColor = dart.privateName(box_plot, "BoxPlot.ballColor");
  const font = dart.privateName(box_plot, "BoxPlot.font");
  const mouseEntered = dart.privateName(box_plot, "BoxPlot.mouseEntered");
  const mouseEvent = dart.privateName(box_plot, "BoxPlot.mouseEvent");
  box_plot.BoxPlot = class BoxPlot extends gui_component.GuiComponent {
    get showPoint() {
      return this[showPoint];
    }
    set showPoint(value) {
      this[showPoint] = value;
    }
    get width() {
      return this[width];
    }
    set width(value) {
      this[width] = value;
    }
    get height() {
      return this[height];
    }
    set height(value) {
      this[height] = value;
    }
    get canvas() {
      return this[canvas];
    }
    set canvas(value) {
      this[canvas] = value;
    }
    get g2() {
      return this[g2];
    }
    set g2(value) {
      this[g2] = value;
    }
    get min() {
      return this[min];
    }
    set min(value) {
      this[min] = value;
    }
    get max() {
      return this[max];
    }
    set max(value) {
      this[max] = value;
    }
    get q1() {
      return this[q1];
    }
    set q1(value) {
      this[q1] = value;
    }
    get q2() {
      return this[q2];
    }
    set q2(value) {
      this[q2] = value;
    }
    get q3() {
      return this[q3];
    }
    set q3(value) {
      this[q3] = value;
    }
    get value() {
      return this[value$];
    }
    set value(value) {
      this[value$] = value;
    }
    get minx() {
      return this[minx];
    }
    set minx(value) {
      this[minx] = value;
    }
    get miny() {
      return this[miny];
    }
    set miny(value) {
      this[miny] = value;
    }
    get maxx() {
      return this[maxx];
    }
    set maxx(value) {
      this[maxx] = value;
    }
    get maxy() {
      return this[maxy];
    }
    set maxy(value) {
      this[maxy] = value;
    }
    get boxPlotcolor() {
      return this[boxPlotcolor];
    }
    set boxPlotcolor(value) {
      this[boxPlotcolor] = value;
    }
    get ballColor() {
      return this[ballColor];
    }
    set ballColor(value) {
      this[ballColor] = value;
    }
    get font() {
      return this[font];
    }
    set font(value) {
      this[font] = value;
    }
    get mouseEntered() {
      return this[mouseEntered];
    }
    set mouseEntered(value) {
      this[mouseEntered] = value;
    }
    get mouseEvent() {
      return this[mouseEvent];
    }
    set mouseEvent(value) {
      this[mouseEvent] = value;
    }
    setShowPoint(show) {
      this.showPoint = show;
    }
    getShowPoint() {
      return this.showPoint;
    }
    setDefaultQuantiles() {
      this.min = 0.0;
      this.max = 100.0;
      this.q1 = 25.0;
      this.q2 = 50.0;
      this.q3 = 75.0;
      this.value = 65.0;
    }
    getDefaultQuantiles() {
      let quantiles = new (LinkedMapOfString$double()).new();
      quantiles[$_set]("min", this.min);
      quantiles[$_set]("max", this.max);
      quantiles[$_set]("q1", this.q1);
      quantiles[$_set]("q2", this.q2);
      quantiles[$_set]("q3", this.q3);
      quantiles[$_set]("value", this.value);
      return quantiles;
    }
    setBoxPlotColor(color) {
      this.boxPlotcolor = color;
    }
    getBoxPlotColor() {
      return this.boxPlotcolor;
    }
    setBallColor(colorCode) {
      this.ballColor = colorCode;
    }
    getBallColor() {
      return this.ballColor;
    }
    setFont(font) {
      this.font = font;
    }
    getFont() {
      return this.font;
    }
    setValue(value) {
      this.value = value;
    }
    getValue() {
      return this.value;
    }
    setQuantilesWithList(values) {
      this.min = values[$_get](0);
      this.q1 = values[$_get](1);
      this.q2 = values[$_get](2);
      this.q3 = values[$_get](3);
      this.max = values[$_get](4);
    }
    setQuantiles(min, q1, q2, q3, max) {
      this.setQuantilesWithList(JSArrayOfdouble().of([min, q1, q2, q3, max]));
    }
    setDimensions(minx, maxx, miny, maxy) {
      this.minx = minx;
      this.maxx = maxx;
      this.miny = miny;
      this.maxy = maxy;
    }
    translateY(y) {
      return -(dart.notNull(this.miny) + dart.notNull(y)) * dart.notNull(this.height) / (dart.notNull(this.maxy) - dart.notNull(this.miny));
    }
    translateX(x) {
      return (dart.notNull(x) - dart.notNull(this.minx)) * dart.notNull(this.width) / (dart.notNull(this.maxx) - dart.notNull(this.minx));
    }
    retranslateX(x) {
      return (dart.notNull(x) * (dart.notNull(this.maxx) - dart.notNull(this.minx)) + dart.notNull(this.width) * dart.notNull(this.minx)) / dart.notNull(this.width);
    }
    retranslateY(y) {
      return -1 * (dart.notNull(y) * (dart.notNull(this.maxy) - dart.notNull(this.miny)) + dart.notNull(this.miny) * dart.notNull(this.height)) / dart.notNull(this.height);
    }
    drawComponent() {
      let max = 100.0;
      let min = 0.0;
      let q1 = core.double._check(stats.Stats.arrange(this.min, this.max, this.q1));
      let q2 = core.double._check(stats.Stats.arrange(this.min, this.max, this.q2));
      let q3 = core.double._check(stats.Stats.arrange(this.min, this.max, this.q3));
      let value = core.double._check(stats.Stats.arrange(this.min, this.max, this.value));
      this.g2.lineWidth = 1;
      this.g2.fillStyle = this.boxPlotcolor;
      this.g2.strokeStyle = "black";
      this.g2.resetTransform();
      this.g2.clearRect(0, 0, this.width, this.height);
      this.g2.beginPath();
      this.g2.moveTo(this.translateX(0.0), this.translateY(2.0));
      this.g2.lineTo(this.translateX(100.0), this.translateY(2.0));
      this.g2.closePath();
      this.g2.stroke();
      this.g2.beginPath();
      this.g2.moveTo(this.translateX(min), this.translateY(-2.0));
      this.g2.lineTo(this.translateX(min), this.translateY(6.0));
      this.g2.closePath();
      this.g2.stroke();
      this.g2.beginPath();
      this.g2.moveTo(this.translateX(max), this.translateY(-2.0));
      this.g2.lineTo(this.translateX(max), this.translateY(6.0));
      this.g2.closePath();
      this.g2.stroke();
      this.g2.beginPath();
      this.g2.moveTo(this.translateX(q1), this.translateY(-2.0));
      this.g2.lineTo(this.translateX(q1), this.translateY(6.0));
      this.g2.lineTo(this.translateX(q3), this.translateY(6.0));
      this.g2.lineTo(this.translateX(q3), this.translateY(-2.0));
      this.g2.closePath();
      this.g2.fillStyle = "white";
      this.g2.fill();
      this.g2.fillStyle = this.boxPlotcolor;
      this.g2.fill();
      this.g2.strokeStyle = "black";
      this.g2.stroke();
      this.g2.beginPath();
      this.g2.moveTo(this.translateX(q2), this.translateY(-2.0));
      this.g2.lineTo(this.translateX(q2), this.translateY(6.0));
      this.g2.closePath();
      this.g2.stroke();
      this.g2.font = "14px Monospace";
      this.g2.fillStyle = "black";
      for (let i = min; i <= max; i = i + 10.0) {
        this.g2[$fillText](dart.toString(dart.dsend(stats.Stats.rearrange(this.min, this.max, i), 'toInt', [])), this.translateX(i - 2), this.translateY(-10.0));
      }
      let linewidth = 1.0;
      for (let i = 0; i <= 100; i = i + 10) {
        this.g2.beginPath();
        if (i[$modulo](10) === 0) {
          linewidth = 1.0;
        } else {
          linewidth = 0.5;
        }
        this.g2.moveTo(this.translateX(i[$toDouble]()), this.translateY(-5.5 - linewidth));
        this.g2.lineTo(this.translateX(i[$toDouble]()), this.translateY(-5.5 + linewidth));
        this.g2.closePath();
        this.g2.stroke();
      }
      this.g2.beginPath();
      this.g2.moveTo(this.translateX(0.0), this.translateY(-4.6));
      this.g2.lineTo(this.translateX(100.0), this.translateY(-4.6));
      this.g2.closePath();
      this.g2.strokeStyle = "black";
      this.g2.lineWidth = 0.5;
      this.g2.stroke();
      if (dart.test(this.mouseEntered)) {
        let x = dart.notNull(this.mouseEvent[$client].x) - dart.notNull(this.canvas.getBoundingClientRect()[$left]);
        let y = dart.notNull(this.mouseEvent[$client].y) - dart.notNull(this.canvas.getBoundingClientRect()[$top]);
        this.g2.beginPath();
        this.g2.rect(x, y, 70, 15);
        this.g2.closePath();
        this.g2.fillStyle = "rgba(0,0,255,0.25)";
        this.g2.strokeStyle = "black";
        this.g2.fill();
        this.g2.stroke();
        this.g2.font = this.font;
        this.g2.fillStyle = "black";
        this.g2[$fillText](core.String._check(dart.dsend(stats.Stats.rearrange(this.min, this.max, this.retranslateX(x)), 'toStringAsFixed', [2])), x + 10, y + 12);
      }
      if (dart.test(this.showPoint)) {
        this.g2.beginPath();
        html.window[$console].log(value);
        this.g2[$arc](this.translateX(value), this.translateY(2.0), 5, 0.0, 2.0 * 3.141592653589793, false);
        this.g2.closePath();
        this.g2.fillStyle = "white";
        this.g2.fill();
        this.g2.fillStyle = this.ballColor;
        this.g2.fill();
        this.g2.strokeStyle = "black";
        this.g2.stroke();
      }
    }
    getDrawableComponent() {
      this.drawComponent();
      return this.canvas;
    }
  };
  (box_plot.BoxPlot.new = function(widthInPixels, heightInPixels) {
    this[showPoint] = true;
    this[width] = null;
    this[height] = null;
    this[canvas] = null;
    this[g2] = null;
    this[min] = null;
    this[max] = null;
    this[q1] = null;
    this[q2] = null;
    this[q3] = null;
    this[value$] = null;
    this[minx] = null;
    this[miny] = null;
    this[maxx] = null;
    this[maxy] = null;
    this[boxPlotcolor] = "#fed8b1";
    this[ballColor] = "rgba(0, 0, 255, 0.50)";
    this[font] = "14px Monospace";
    this[mouseEntered] = false;
    this[mouseEvent] = null;
    this.width = widthInPixels;
    this.height = heightInPixels;
    this.canvas = html.CanvasElement.new();
    this.canvas.style[$border] = "1px solid black";
    this.canvas.width = widthInPixels;
    this.canvas.height = heightInPixels;
    this.g2 = html.CanvasRenderingContext2D._check(this.canvas[$getContext]("2d"));
    this.setDimensions(-10.0, 110.0, -11.0, 11.0);
    this.canvas[$onMouseEnter].listen(dart.fn(e => {
      this.mouseEntered = true;
    }, EventToNull()));
    this.canvas[$onMouseOut].listen(dart.fn(e => {
      this.mouseEntered = false;
      this.drawComponent();
    }, EventToNull()));
    this.canvas[$onMouseMove].listen(dart.fn(e => {
      this.mouseEvent = e;
      this.drawComponent();
    }, MouseEventToNull()));
    this.setDefaultQuantiles();
  }).prototype = box_plot.BoxPlot.prototype;
  dart.addTypeTests(box_plot.BoxPlot);
  dart.setMethodSignature(box_plot.BoxPlot, () => ({
    __proto__: dart.getMethods(box_plot.BoxPlot.__proto__),
    setShowPoint: dart.fnType(dart.void, [core.bool]),
    getShowPoint: dart.fnType(core.bool, []),
    setDefaultQuantiles: dart.fnType(dart.void, []),
    getDefaultQuantiles: dart.fnType(core.Map$(core.String, core.double), []),
    setBoxPlotColor: dart.fnType(dart.void, [core.String]),
    getBoxPlotColor: dart.fnType(core.String, []),
    setBallColor: dart.fnType(dart.void, [core.String]),
    getBallColor: dart.fnType(core.String, []),
    setFont: dart.fnType(dart.void, [core.String]),
    getFont: dart.fnType(core.String, []),
    setValue: dart.fnType(dart.void, [core.double]),
    getValue: dart.fnType(core.double, []),
    setQuantilesWithList: dart.fnType(dart.void, [core.List$(core.double)]),
    setQuantiles: dart.fnType(dart.void, [core.double, core.double, core.double, core.double, core.double]),
    setDimensions: dart.fnType(dart.void, [core.double, core.double, core.double, core.double]),
    translateY: dart.fnType(core.double, [core.double]),
    translateX: dart.fnType(core.double, [core.double]),
    retranslateX: dart.fnType(core.double, [core.double]),
    retranslateY: dart.fnType(core.double, [core.double]),
    drawComponent: dart.fnType(dart.void, []),
    getDrawableComponent: dart.fnType(html.HtmlElement, [])
  }));
  dart.setLibraryUri(box_plot.BoxPlot, "package:boxplot/src/box_plot.dart");
  dart.setFieldSignature(box_plot.BoxPlot, () => ({
    __proto__: dart.getFields(box_plot.BoxPlot.__proto__),
    showPoint: dart.fieldType(core.bool),
    width: dart.fieldType(core.int),
    height: dart.fieldType(core.int),
    canvas: dart.fieldType(html.CanvasElement),
    g2: dart.fieldType(html.CanvasRenderingContext2D),
    min: dart.fieldType(core.double),
    max: dart.fieldType(core.double),
    q1: dart.fieldType(core.double),
    q2: dart.fieldType(core.double),
    q3: dart.fieldType(core.double),
    value: dart.fieldType(core.double),
    minx: dart.fieldType(core.double),
    miny: dart.fieldType(core.double),
    maxx: dart.fieldType(core.double),
    maxy: dart.fieldType(core.double),
    boxPlotcolor: dart.fieldType(core.String),
    ballColor: dart.fieldType(core.String),
    font: dart.fieldType(core.String),
    mouseEntered: dart.fieldType(core.bool),
    mouseEvent: dart.fieldType(html.MouseEvent)
  }));
  dart.trackLibraries("packages/boxplot/boxplot", {
    "package:boxplot/src/stats.dart": stats,
    "package:boxplot/src/gui_component.dart": gui_component,
    "package:boxplot/boxplot.dart": boxplot,
    "package:boxplot/src/box_plot.dart": box_plot
  }, {
  }, '{"version":3,"sourceRoot":"","sources":["src/stats.dart","src/gui_component.dart","src/box_plot.dart"],"names":[],"mappings":";;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;mBAEwB,KAAY,KAAY;AAC5C,YAAO,AAAI,QAAiB,CAAP,aAAN,KAAK,iBAAG,GAAG,MAAS,aAAJ,GAAG,iBAAG,GAAG;IAC1C;qBAGwB,KAAY,KAAY;AAC9C,YAAoB,AAAU,AAAS,EAA1B,aAAJ,GAAG,iBAAG,GAAG,kBAAK,KAAK,IAAI,qBAAS,GAAG;IAC9C;eAG+B;AACtB,gBAAM,AAAG,GAAA,QAAC;AAKf,MAJF,AAAI,GAAD,WAAS,QAAQ;AAClB,YAAY,aAAR,OAAO,iBAAG,GAAG;AACF,UAAb,MAAM,OAAO;;;AAGjB,YAAO,IAAG;IACZ;eAG+B;AACtB,gBAAM,AAAG,GAAA,QAAC;AAKf,MAJF,AAAI,GAAD,WAAS,QAAQ;AAClB,YAAY,aAAR,OAAO,iBAAG,GAAG;AACF,UAAb,MAAM,OAAO;;;AAGjB,YAAO,IAAG;IACZ;kBAGkC;AACnB,iBAAY,oBAAK,GAAG;AAG/B,MAFF,AAAK,IAAD,QAAM,SAAQ,GAAU,MACnB,AAAE,CAAD,aAAW,CAAC;AAElB,mBAAS,AAAK,IAAD;AACjB,UAAI,AAAO,AAAI,MAAL,UAAG,OAAK;AAChB,cAAO,AAAI,KAAA,QAAc,AAAO,CAAZ,aAAP,MAAM,IAAG,cAAY;;AAElC,cAC8C,EADP,aAA/B,AAAI,IAAA,QAAc,AAAQ,CAAb,aAAP,MAAM,IAAG,eAAa,mBAC5B,AAAI,IAAA,QAAoB,AAAQ,CAAlB,AAAK,aAAZ,MAAM,IAAG,IAAK,eAAa,OACtC;;IAER;cAG8B;AACrB,qBAAiB,mBAAO,GAAG;AACrB,iBAAO,AAAI,AAErB,GAFoB,SAAO,QAAQ,WACrB,aAAR,OAAO,iBAAG,QAAQ;AAE3B,YAAa,oBAAO,IAAI;IAC1B;cAG8B;AACrB,qBAAiB,mBAAO,GAAG;AACrB,iBAAO,AAAI,AAErB,GAFoB,SAAO,QAAQ,WACrB,aAAR,OAAO,iBAAG,QAAQ;AAE3B,YAAa,oBAAO,IAAI;IAC1B;;;;EACF;;;;;;EC3DA;;;;;;;;;;;;;;;;;;;;;;;;ICqBO;;;;;;IAGD;;;;;;IAAO;;;;;;IAGG;;;;;;IAGW;;;;;;IAGlB;;;;;;IAAK;;;;;;IAAK;;;;;;IAAI;;;;;;IAAI;;;;;;IAAI;;;;;;IAGtB;;;;;;IAAM;;;;;;IAAM;;;;;;IAAM;;;;;;IAGlB;;;;;;IAGA;;;;;;IAGA;;;;;;IAGF;;;;;;IAGM;;;;;;iBA2BY;AACL,MAAhB,iBAAY,IAAI;IAClB;;AAIE,YAAO;IACT;;AAIS,MAAP,WAAM;AACG,MAAT,WAAM;AACC,MAAP,UAAK;AACE,MAAP,UAAK;AACE,MAAP,UAAK;AACK,MAAV,aAAQ;IACV;;AAIsB,sBAAY;AACV,MAAtB,AAAS,SAAA,QAAC,OAAS;AACG,MAAtB,AAAS,SAAA,QAAC,OAAS;AACC,MAApB,AAAS,SAAA,QAAC,MAAQ;AACE,MAApB,AAAS,SAAA,QAAC,MAAQ;AACE,MAApB,AAAS,SAAA,QAAC,MAAQ;AACQ,MAA1B,AAAS,SAAA,QAAC,SAAW;AACrB,YAAO,UAAS;IAClB;oBAG4B;AACN,MAApB,oBAAe,KAAK;IACtB;;AAIE,YAAO;IACT;iBAGyB;AACF,MAArB,iBAAY,SAAS;IACvB;;AAIE,YAAO;IACT;YAGoB;AACF,MAAX,YAAO,IAAI;IAClB;;AAIE,YAAO;IACT;aAGqB;AACD,MAAb,aAAQ,KAAK;IACpB;;AAIE,YAAO;IACT;yBAIuC;AACtB,MAAf,WAAM,AAAM,MAAA,QAAC;AACC,MAAd,UAAK,AAAM,MAAA,QAAC;AACE,MAAd,UAAK,AAAM,MAAA,QAAC;AACE,MAAd,UAAK,AAAM,MAAA,QAAC;AACG,MAAf,WAAM,AAAM,MAAA,QAAC;IACf;iBAGyB,KAAY,IAAW,IAAW,IAAW;AACxB,MAA5C,0BAAqB,sBAAC,GAAG,EAAE,EAAE,EAAE,EAAE,EAAE,EAAE,EAAE,GAAG;IAC5C;kBAG0B,MAAa,MAAa,MAAa;AAC/C,MAAX,YAAO,IAAI;AACA,MAAX,YAAO,IAAI;AACA,MAAX,YAAO,IAAI;AACA,MAAX,YAAO,IAAI;IAClB;eAGyB;AACvB,YAAO,AAAY,AAAS,GAAd,aAAL,0BAAO,CAAC,kBAAI,gBAAe,aAAL,0BAAO;IACxC;eAGyB;AACvB,YAAkB,AAAQ,EAAhB,aAAF,CAAC,iBAAG,2BAAQ,eAAc,aAAL,0BAAO;IACtC;iBAG2B;AACzB,YAA8C,EAAnC,AAAiB,aAAnB,CAAC,KAAS,aAAL,0BAAO,cAAgB,aAAN,2BAAQ,2BAAS;IAClD;iBAG2B;AACzB,YAAQ,AAAI,AAAwC,EAA3C,KAAQ,AAAgB,aAAlB,CAAC,KAAS,aAAL,0BAAO,cAAc,aAAL,0BAAO,6BAAY;IACzD;;AAIS,gBAAM;AACN,gBAAM;AACN,kCAAW,oBAAa,UAAU,UAAU;AAC5C,kCAAW,oBAAa,UAAU,UAAU;AAC5C,kCAAW,oBAAa,UAAU,UAAU;AAC5C,qCAAc,oBAAa,UAAU,UAAU;AAEtC,MAAhB,AAAG,oBAAY;AACY,MAA3B,AAAG,oBAAY;AACS,MAAxB,AAAG,sBAAc;AAEE,MAAnB,AAAG;AAC8B,MAAjC,AAAG,kBAAU,GAAG,GAAG,YAAO;AAGZ,MAAd,AAAG;AACoC,MAAvC,AAAG,eAAO,gBAAW,MAAI,gBAAW;AACK,MAAzC,AAAG,eAAO,gBAAW,QAAM,gBAAW;AACxB,MAAd,AAAG;AACQ,MAAX,AAAG;AAGW,MAAd,AAAG;AACuC,MAA1C,AAAG,eAAO,gBAAW,GAAG,GAAG,gBAAW;AACG,MAAzC,AAAG,eAAO,gBAAW,GAAG,GAAG,gBAAW;AACxB,MAAd,AAAG;AACQ,MAAX,AAAG;AAGW,MAAd,AAAG;AACuC,MAA1C,AAAG,eAAO,gBAAW,GAAG,GAAG,gBAAW;AACG,MAAzC,AAAG,eAAO,gBAAW,GAAG,GAAG,gBAAW;AACxB,MAAd,AAAG;AACQ,MAAX,AAAG;AAGW,MAAd,AAAG;AACsC,MAAzC,AAAG,eAAO,gBAAW,EAAE,GAAG,gBAAW;AACG,MAAxC,AAAG,eAAO,gBAAW,EAAE,GAAG,gBAAW;AACG,MAAxC,AAAG,eAAO,gBAAW,EAAE,GAAG,gBAAW;AACI,MAAzC,AAAG,eAAO,gBAAW,EAAE,GAAG,gBAAW;AACvB,MAAd,AAAG;AACmB,MAAtB,AAAG,oBAAY;AACN,MAAT,AAAG;AACwB,MAA3B,AAAG,oBAAY;AACN,MAAT,AAAG;AACqB,MAAxB,AAAG,sBAAc;AACN,MAAX,AAAG;AAGW,MAAd,AAAG;AACsC,MAAzC,AAAG,eAAO,gBAAW,EAAE,GAAG,gBAAW;AACG,MAAxC,AAAG,eAAO,gBAAW,EAAE,GAAG,gBAAW;AACvB,MAAd,AAAG;AACQ,MAAX,AAAG;AAEuB,MAA1B,AAAG,eAAO;AACY,MAAtB,AAAG,oBAAY;AAGf,eAAY,IAAI,GAAG,EAAE,AAAE,CAAD,IAAI,GAAG,EAAE,IAAA,AAAE,CAAD,GAAI;AACsE,QAAxG,AAAG,mBAAwD,cAAR,WAAjC,sBAAe,UAAU,UAAK,CAAC,kBAAsB,gBAAW,AAAC,CAAA,GAAC,IAAI,gBAAW;;AAI9F,sBAAY;AACnB,eAAS,IAAI,GAAG,AAAE,CAAD,IAAI,KAAK,IAAA,AAAE,CAAD,GAAI;AACf,QAAd,AAAG;AACH,YAAK,AAAE,AAAM,CAAP,UAAG,QAAO;AACC,UAAf,YAAY;;AAEG,UAAf,YAAY;;AAEmD,QAAjE,AAAG,eAAO,gBAAW,AAAE,CAAD,gBAAc,gBAAW,AAAK,CAAJ,MAAM,SAAS;AACE,QAAjE,AAAG,eAAO,gBAAW,AAAE,CAAD,gBAAc,gBAAW,AAAK,CAAJ,MAAM,SAAS;AACjD,QAAd,AAAG;AACQ,QAAX,AAAG;;AAIS,MAAd,AAAG;AACuC,MAA1C,AAAG,eAAO,gBAAW,MAAI,gBAAW,CAAC;AACO,MAA5C,AAAG,eAAO,gBAAW,QAAM,gBAAW,CAAC;AACzB,MAAd,AAAG;AACqB,MAAxB,AAAG,sBAAc;AACC,MAAlB,AAAG,oBAAY;AACJ,MAAX,AAAG;AAGH,oBAAI;AACK,gBAAwB,aAApB,AAAW,AAAO,2CAAI,AAAO,AAAwB;AACzD,gBAAwB,aAApB,AAAW,AAAO,2CAAI,AAAO,AAAwB;AAClD,QAAd,AAAG;AACkB,QAArB,AAAG,aAAK,CAAC,EAAE,CAAC,EAAE,IAAI;AACJ,QAAd,AAAG;AACgC,QAAnC,AAAG,oBAAY;AACS,QAAxB,AAAG,sBAAc;AACR,QAAT,AAAG;AACQ,QAAX,AAAG;AAEW,QAAd,AAAG,eAAO;AACY,QAAtB,AAAG,oBAAY;AACuF,QAAtG,AAAG,sCAAgE,WAAhD,sBAAe,UAAU,UAAK,kBAAa,CAAC,wBAAoB,MAAI,AAAE,CAAD,GAAG,IAAI,AAAE,CAAD,GAAG;;AAIrG,oBAAG;AACa,QAAd,AAAG;AACsB,QAAzB,AAAO,AAAQ,0BAAI,KAAK;AAC8C,QAAtE,AAAG,cAAI,gBAAW,KAAK,GAAG,gBAAW,MAAI,GAAG,KAAK,AAAI,yBAAW;AAClD,QAAd,AAAG;AACmB,QAAtB,AAAG,oBAAY;AACN,QAAT,AAAG;AACqB,QAAxB,AAAG,oBAAY;AACN,QAAT,AAAG;AACqB,QAAxB,AAAG,sBAAc;AACN,QAAX,AAAG;;IAEP;;AAIiB,MAAf;AACA,YAAO;IACT;;mCAxQY,eAAmB;IAjC1B,kBAAY;IAGb;IAAO;IAGG;IAGW;IAGlB;IAAK;IAAK;IAAI;IAAI;IAAI;IAGtB;IAAM;IAAM;IAAM;IAGlB,qBAAe;IAGf,kBAAY;IAGZ,aAAO;IAGT,qBAAe;IAGT;AAIY,IAArB,aAAQ,aAAa;AACE,IAAvB,cAAS,cAAc;AACC,IAAxB,cAAS;AAC8B,IAAvC,AAAO,AAAM,6BAAS;AACM,IAA5B,AAAO,oBAAQ,aAAa;AACE,IAA9B,AAAO,qBAAS,cAAc;AACF,cAA5B,qCAAK,AAAO,yBAAW;AACS,IAAhC,mBAAc,OAAK,OAAK,OAAK;AAG3B,IAFF,AAAO,AAAa,kCAAO,QAAO;AACb,MAAnB,oBAAe;;AAKf,IAHF,AAAO,AAAW,gCAAO,QAAO;AACV,MAApB,oBAAe;AACA,MAAf;;AAKA,IAHF,AAAO,AAAY,iCAAO,QAAY;AACtB,MAAd,kBAAa,CAAC;AACC,MAAf;;AAEmB,IAArB;EACF","file":"boxplot.ddc.js"}');
  // Exports:
  return {
    src__stats: stats,
    src__gui_component: gui_component,
    boxplot: boxplot,
    src__box_plot: box_plot
  };
});

//# sourceMappingURL=boxplot.ddc.js.map
